#!/usr/bin/env bash


if [[ $# != 3 ]]; then
    echo "Usage: $0 directory function file"
    exit 0
fi


cd $1
for f in $(ls); do
    if [[ ! -f $f ]]; then
        continue
    fi
    
    grep -Hn $2 $f >> $3
done

exit 0
